Get Filter Definitions - Barndoor Documentation
Get Filter Definitions
cURL
curl --request GET \
--url https://your-org.platform.barndoor.ai/api/v2/policies/filter-definitions \
--header 'Authorization: Bearer <token>'
import requests
url = "https://your-org.platform.barndoor.ai/api/v2/policies/filter-definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-org.platform.barndoor.ai/api/v2/policies/filter-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-org.platform.barndoor.ai/api/v2/policies/filter-definitions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-org.platform.barndoor.ai/api/v2/policies/filter-definitions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://your-org.platform.barndoor.ai/api/v2/policies/filter-definitions")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://your-org.platform.barndoor.ai/api/v2/policies/filter-definitions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
200
[
{
"id": "<string>",
"label": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
Authorizations
Authorization
- Type: string
- In: header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
- 200 - application/json
Successful Response
response structure:
- id: string (required)
- label: string (required)
- options: FilterOption object[]